import { Block } from "payload";

export const BadgeList: Block = {
  slug: 'badgeList',
  interfaceName: 'BadgeListBlock',
  fields: [
    {
      name: 'listHeader',
      type: 'text',
    },
    {
      name: 'shouldHideListHeader',
      type: 'checkbox',
    },
    {
      name: 'defaultColor',
      type: 'text',
    },
    {
      name: 'defaultTextColor',
      type: 'text',
    },
    {
      name: 'textSize',
      type: 'text',
      admin: {
        description: 'A valid CSS text size string',
      },
    },
    {
      name: 'listVariant',
      type: 'select',
      options: [
        'default',
        'secondary',
        'destructive',
        'outline',
      ],
      defaultValue: 'default',
    },
    {
      name: 'badges',
      type: 'array',
      fields: [
        {
          name: 'value',
          type: 'text',
        },
        {
          name: 'color',
          type: 'text',
        },
        {
          name: 'textColor',
          type: 'text',
          admin: {
            description: 'String of a valid CSS color',
          }
        },
        {
          name: 'icon',
          type: 'relationship',
          relationTo: 'media'
        },
        {
          name: 'href',
          type: 'text',
        }
      ],
    },
  ],
}
