import { BadgeList } from "@/blocks/BadgeList/config";
import { ProfileBrief } from "@/blocks/ProfileBrief/config";
import { Showcase } from "@/blocks/Showcase/config";
import { SimpleBrief } from "@/blocks/SimpleBrief/config";
import { SimpleList } from "@/blocks/SimpleList/config";
import { CollectionConfig } from "payload";

export const Pages: CollectionConfig = {
  slug: 'pages',
  admin: {
    useAsTitle: 'slug',
  },
  access: {
    read: () => true
  },
  fields: [
    {
      name: 'slug',
      type: 'text',
    },
    {
      name: 'layout',
      type: 'blocks',
      blocks: [SimpleList, Showcase, ProfileBrief, SimpleBrief, BadgeList],
    },
  ]
}
